<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_navbarplus', language 'es_mx', version '3.2'.
 *
 * @package     local_navbarplus
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Barra_de_Navegación Plus';
$string['resetusertours_hint'] = '(Podría demorar un corto tiempo)';
$string['setting_inserticonswithlinks'] = 'Íconos con Enlaces';
$string['setting_inserticonswithlinks_desc'] = 'Con esta configuración, Usted puede añadir íconos de enlaces a la barra_de_navegación del encabezado a la izquierda de los íconos de  "mensajes" y "notificaciones".<br/>
Cada línea consiste de una imagen del ícono, un URL del enlace y un texto, separados por un caracter de barra vertical (|). Cada ícono necesita ser escrito en una línea nueva. <br/>
Por ejemplo:<br/>
a/help|http://moodle.org|Moodle <br/>
fa-sign-out|/login/logout.php|Salida<br/><br/>
Mayor información a los parámetros:
<ul>
<li><b>Imagen:</b> Usted puede añadir identificadores para un ícono de Moodle desde la carpeta pix (<a href="https://github.com/moodle/moodle/tree/master/pix">vea la lista de íconos en github.com</a>) o un identificador de ïcono de Font Awesome (<a href="http://fontawesome.io/icons/">Vea la lista de íconos en  fontawesome.io</a>). Font Awesome no está incluido en el tema Boost (Impulso)  en el núcleo de Moodle, pero hay algunos temas hijos de Boost y otras soluciones de terceros que añaden soporte para Font Awesome a Moodle.</li>
<li><b>Enlace:</b> El destino del enlace puede estar definido por una URL de web completa (por ejemplo https://moodle.org) o una ruta relativa adentro de su instancia de Moodle (por ejemplo /login/logout.php).  </li>
<li><b>Título:</b> Este texto será escrito en el título y en los atributos alternos del ícono. .</li>
<li><b>Idioma(s) soportado(s) (opcional):</b> esta configuración puede ser usada para mostrar el enlace solamente a usuarios del idioma especificado. Separe más de un idioma soportado con comas. Si el enlace debería de ser mostrado en todos los idiomas, entonces deje este campo vacío</li>
<li><b>Nueva ventana (opcional)</b>: Por defecto el enlace será abierto en la misma ventana y el valor de esta configuración es configurado a falso. Si Usted desea abrir el enlace en una nueva ventana configure el valor a verdadero.</li>
</ul>
Por favor tenga en cuenta que:
<ul>
<li> El caracter de barra vertical (|) que divide a los parámetros opcionales siempre es necesario si están localizados entre otras opciones. Esto significa que Usted tiene que separar parámetros con el caracter de barra vertical aunque estén vacíos. También vea el ejemplo para el ícono Font Awesome arriba. </li>
<li> Si el ícono no se muestra en la Barra_de_Navegación, por favor revise si todos los parámetros obligatorios están configurados correctamente y si la configuración de idioma opcional coincide con su idioma Moodle actual. </li>
</ul>';
$string['setting_resetusertours'] = 'Reiniciar enlace de Tour del usuario';
$string['setting_resetusertours_desc'] = 'Con esta configuración Usted puede colocar un ícono de mapa del Font Awesome en la Barra_de_Navegación, con el cual el usuario puede reiniciar el Tour de usuario para la página actual. Por defecto, Boost coloca el enlace para reiniciar el Tour de usuario adentro del pie de página, lo que podría no ser muy llamativo/visible.<br/>
Por favor tenga en cuenta que: <br/>
Ya que no existe un ícono que remotamente funcione para esto en el núcleo de Moodle, no tenemos un \'plan B\' para temas que no implementen el Font Awesome (a partir de Moodle 3.3 en adelante esto está integrado en el núcleo de Moodle). Si Usted usa alguno de esos temas esta configuración no tendrá efecto.';
